samizdat (0.7.0-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.
  * Drop unneeded transitional packages. (Closes: #735718).
  * Bump Standards-Version to 3.9.6. No changes were required.
  * Bump DH compat level to 9.

  [ Dmitry Borodaenko ]
  * Changed Vcs-* to git.debian.org.
  * Standards-Version upgraded to 3.9.3 (no changes).

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 21 Aug 2015 13:29:36 +0200

samizdat (0.7.0-1) unstable; urgency=low

  * New upstream release:
    - Recent Updates are now sorted by message id, not date
    - can use Erubis when available, added to Suggests.
  * Build-Depend on and Recommend ruby-tzinfo.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 12 May 2012 22:58:52 +0300

samizdat (0.6.2.20111225-1) unstable; urgency=low

  * New upstream snapshot 2011-12-25 "Christmas for Moscow":
    - migrated from cgi.rb to Rack (this obsoleted samizdatd Mongrel server)
    - migrated to Sequel and Nokogiri (requires latest Graffiti and Whitewash)
    - compatibility fixes for Ruby 1.9.3.
  * Dependencies rearranged again:
    - Depends on ruby-rack
    - Recommends ruby-fast-gettext over libgettext-ruby
    - drop Suggests mongrel, mod-ruby, and fcgi; add thin.
  * README.Debian updated.
  * init, default, postinst, and postrm for samizdatd are dropped; if you
    installed 0.6.2.20110927-1 you'll need to manually take care of the
    directories it created in /var/run and /var/log.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 25 Dec 2011 19:25:05 +0300

samizdat (0.6.2.20110927-1) unstable; urgency=low

  * New upstream snapshot 2011-09-27:
    - Sanitize, Cache, and Storage libraries are split into subprojects:
      Whitewash, SynCache, and Graffiti respectively
    - $samizdat_current_request global replaced with Site class
    - Antispam module refactored into spam_merge plugin
    - email_blacklist and poison_field spam protection plugins added
    - X-(Forwarded-)Scheme and -Port/-Proto headers support
    - samizdatd Mongrel-based daemon
    - ruby-magic library is now used instead of Mahoro
    - compatible with Ruby 1.9, PostgreSQL 9.x, FastGettext and
      Ruby-GetText 2.x
    - safer cache handling with SynCache::RemoteCache.
  * Samizdat subprojects split:
    - add Depends on ruby-whitewash and ruby-graffiti (which pulls syncache)
    - wrap Antispam (spam_merge) into samizdat package
    - drop samizdat-drb-server (provided by syncache package).
  * Switch to gem2deb-based packaging:
    - transitional packages added
    - source format changed to 3.0 (quilt).
  * Include old changelogs (ChangeLog.cvs and ChangeLog.mtn) in the package.
  * Dependencies rearranged:
    - Dependency on httpd-cgi downgraded to Suggests: httpd (nginx combined
      with Mongrel or Webrick is enough, and it doesn't have to be running on
      the same host)
    - mongrel added to the list of supported CGI implementations, which was
      downgraded from Recommends to Suggests
    - postgresql downgraded from Recommends to unversioned Suggests (can be
      accessed from another host, and even stable now has 8.4).
  * Add Vcs-Browser and Vcs-Mtn fields to debian/control.
  * Standards-Version upgraded to 3.9.2 (no changes).
  * Upload to unstable.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 27 Sep 2011 02:24:15 +0300

samizdat (0.6.2.20090610-1) experimental; urgency=low

  * New upstream snapshot 2009-06-10
    - use member_link in page header
    - update the <del> monkey patch for RedCloth4
    - include subproperties in properties menu in query editor
    - fix *_update_part triggers to react when only part_of_subproperty is
    changed
    - source code management switched from CVS to Monotone.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 12 Jun 2009 13:42:44 +0300

samizdat (0.6.2.20090422.1-1) experimental; urgency=low

  * Upstream bugfix snapshot:
    - fixed brown-paper-bag bug in timestamp based message locking.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 22 Apr 2009 18:22:08 +0300

samizdat (0.6.2.20090422-1) experimental; urgency=low

  * New upstream snapshot 2009-04-22:
    - simple message locking via timestamps
    - major front and tag page generation speedup
    - case insensitive sort for tag names.
  * Added Recommends: libtzinfo-ruby1.8 to samizdat package.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 22 Apr 2009 16:06:53 +0300

samizdat (0.6.2.20090420-1) experimental; urgency=low

  * New upstream snapshot 2009-04-20:
    - Savannah patch: #6167 (monolanguage)
    - render Top Tags as tags cloud
    - support for OpenDocument formats: odg, odp, ods, odt.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 20 Apr 2009 17:49:55 +0300

samizdat (0.6.2.20090416-1) experimental; urgency=low

  * New upstream snapshot 2009-04-16:
    - Savannah patch: #6560 (undetermined language)
    - Savannah bugs: #24157 (samizdat-role), #23687 (user-friendliness),
      #23700 ('English' is a wrong msgid)
    - blog RSS feed, blog links in message info
    - option to show all replies in one page, including nested
    - major overhaul of message part links rewriting.
  * en.po added.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 16 Apr 2009 22:18:10 +0300

samizdat (0.6.2.20090410-1) experimental; urgency=low

  * New upstream snapshot 2009-04-10:
    - Savannah patches merged: #6278 (more_links), #6467 (antispam_titles),
      #6505 (timezone), #6531 (optional sort_languages).

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 10 Apr 2009 18:14:20 +0300

samizdat (0.6.2.20090409-1) experimental; urgency=low

  * New upstream snapshot 2009-04-09:
    - don't send Accept-Language header when importing feeds (Savannah patch
      #5881)
    - allow to force preferred language via URL (Savannah patch #6171)
    - moderators list (Savannah patch #6283)
    - translations updated: Belarusian, Russian.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 09 Apr 2009 12:41:20 +0300

samizdat (0.6.2.20090402-2) experimental; urgency=low

  * Disable forced login downcasing to fix logins with capital letters.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 02 Apr 2009 12:34:54 +0300

samizdat (0.6.2.20090402-1) experimental; urgency=low

  * New upstream snapshot 2009-04-02:
    - critical bugfixes
    - blog route rewriting plugin
    - usability improvements
    - translations updated: Belarusian, Russian.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 02 Apr 2009 11:54:34 +0300

samizdat (0.6.2.20090401-1) experimental; urgency=low

  * New upstream snapshot 2009-04-01:
    - usability fixes
    - updated diagrams
    - translations updated: Belarusian, Russian.
  * Section for libsamizdat* changed to ruby.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 01 Apr 2009 16:29:28 +0300

samizdat (0.6.2.20090330-1) experimental; urgency=low

  * New upstream snapshot 2009-03-30:
    - massive RDF storage update
    - back to PostgreSQL-only until new triggers are ported
    - generic resource parts
    - upload queue
    - lots of other features, see upstream changelog for details.
  * Added migration script to documentation.
  * Copyright file updated.
  * Debhelper compat level upgraded to 5.
  * Standards-Version upgraded to 3.8.1.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 30 Mar 2009 22:46:31 +0300

samizdat (0.6.2-2) unstable; urgency=low

  * Upload to unstable.
  * Added reference to upgrade instructions to NEWS.Debian; only include
    NEWS.Debian in samizdat package, it's not relevant to libsamizdat-ruby*.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 21 Feb 2009 12:53:39 +0200

samizdat (0.6.2-1) experimental; urgency=low

  * New upstream release:
    - fixed XSS vulnerability exploitable via message title and member full
      name (CVE-2009-0359)
    - upgraded passwords encryption to salted SHA512
    - added alternative mime types for mp3 and ogg uploads
    - improved tidy error handling
    - use IE- and HTML4-compatible numeric entity to escape single quote
    - updated flowplayer plugin for Flowplayer 3.0.3
    - documentation and unit tests updated.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 12 Feb 2009 14:49:48 +0200

samizdat (0.6.1.20081028-1) experimental; urgency=low

  * New upstream snapshot 2008-10-28.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 28 Oct 2008 20:54:06 +0200

samizdat (0.6.1.20081025-1) experimental; urgency=low

  * New upstream snapshot 2008-10-25:
    - allow to force HTTPS-only logins, use secure session cookies
    - catch REXML::Formatters NameError in Sanitize (Savannah bug #23848)
    - RdfDataSet fixed to use optional parameter hash in cache key (Savannah
      bug #24091)
    - Antispam fixes (Savannah bug #24361 and more)
    - Flowplayer removed from the package, the plugin code and configuration
      updated to handle external Flowplayer binaries.
  * Alternative Depends on libtidy-ruby1.8 downgraded to Suggests until
    #500461 is fixed. Recommends of libsamizdat-ruby1.8 is not changed: the
    library is still usable if $SAFE == 0.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 25 Oct 2008 23:41:14 +0300

samizdat (0.6.1.20080928-1) experimental; urgency=low

  * New upstream snapshot 2008-09-28:
    - compatibility with Ruby/DBI 0.4.0
    - sensible default redirect for /member/index (Savannah bug #24185)
    - small (StringIO) uploads fixed.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 28 Sep 2008 22:35:39 +0300

samizdat (0.6.1.20080921-2) experimental; urgency=low

  * In previous version, Recommends of libsamizdat-ruby1.8 package was updated
    for the Tidy fix, but Depends of samizdat package was missed. In this
    version, the latter is brought in sync.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 22 Sep 2008 12:41:16 +0300

samizdat (0.6.1.20080921-1) experimental; urgency=low

  * New upstream snapshot 2008-09-21:
    - Samizdat::Sanitize fixed to use tidy binary via pipe as alternative to
      (currently broken) Ruby/Tidy DL-based library wrapper.
  * Recommend tidy in preference to libtidy-ruby.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 21 Sep 2008 16:32:16 +0300

samizdat (0.6.1.20080831-1) experimental; urgency=low

  * New upstream snapshot 2008-08-31:
    - fixed RSS feeds caching bug
    - Flowplayer updated to version 2.2.2
    - flashembed updated to version 0.31
    - translations updated: Spanish, French, Japanese, Polish
    - new themes: torun, nihon, venezuela-centro.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 31 Aug 2008 21:06:07 +0300

samizdat (0.6.1.20080811-1) experimental; urgency=low

  * New upstream snapshot 2008-08-11:
    - fixed display of accounts with unset full name.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 11 Aug 2008 11:37:37 +0300

samizdat (0.6.1.20080807-1) experimental; urgency=low

  * New upstream snapshot 2008-08-07:
    - bugfix: account creation didn't work, full name is now optional (see
      NEWS.Debian on database migration)
    - MIME type for .wmv fixed, for .rm (RealMedia) added
    - clarifications of config files comments by Boud
    - documentation update.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 07 Aug 2008 19:37:38 +0300

samizdat (0.6.1.20080703-2) experimental; urgency=low

  * debian/rules updated to include Japanese translation.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 03 Jul 2008 23:32:11 +0300

samizdat (0.6.1.20080703-1) experimental; urgency=low

  * New upstream snapshot 2008-07-03:
    - bugfixes: flv mime type, message_content == nil, ordered inserts in
      RDF#assert, VoteComponent
    - Dia diagrams and LVEE-2008 slides added
    - Flowplayer updated to version 2.2.1
    - Polish and Japanese translations are updated, Japanese translation is
      now enabled by default.
  * Install Dia diagrams in documentation.
  * Updated to Standards-Version 3.8.0:
    - Homepage: field added to control file.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 03 Jul 2008 22:46:14 +0300

samizdat (0.6.1.20080525-1) experimental; urgency=low

  * New upstream snapshot 2008-05-25:
    - use Mahoro library to detect file types (instead of content_type coming
      with the CGI request which is unreliable and untrustworthy)
    - minor bugfixes in l10n and error reporting.
  * Added dependency on libmahoro-ruby1.8.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 25 May 2008 19:01:49 +0300

samizdat (0.6.1.20080510-1) experimental; urgency=low

  * New upstream snapshot 2008-05-10:
    - license upgraded to GPL 3
    - Flowplayer flash video player integrated
    - member settings rearranged
    - role-based access control plugin (requires a db update).
  * copyright updated.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 10 May 2008 20:11:31 +0300

samizdat (0.6.1.20080412-1) experimental; urgency=low

  * New upstream snapshot 2008-04-12:
    - SAFE level handling fixes
    - SAFE level is at least 1 even without mod_ruby.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 12 Apr 2008 00:18:25 +0300

samizdat (0.6.1.20080407-4) experimental; urgency=low

  * Fixed another mod_ruby security error.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 07 Apr 2008 01:39:43 +0300

samizdat (0.6.1.20080407-3) experimental; urgency=low

  * Added depends on librmagick-ruby1.8.
  * Fixed mod_ruby security error.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 07 Apr 2008 00:55:17 +0300

samizdat (0.6.1.20080407-2) experimental; urgency=low

  * Fix missing plugins directory.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 07 Apr 2008 00:44:42 +0300

samizdat (0.6.1.20080407-1) experimental; urgency=low

  * New upstream snapshot 2008-04-07:
    - plugins system
    - image thumbnails.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 07 Apr 2008 00:31:18 +0300

samizdat (0.6.1.20080322-1) experimental; urgency=low

  * New upstream snapshot 2008-03-22:
    - include description in RSS feeds (by mend0za)
    - include request route in exception reports.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 22 Mar 2008 16:46:00 +0200

samizdat (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Updated depends on PostgreSQL to version 8.3, added alternate depends on
    MySQL and SQLite3 DBDs for Samizdat engine.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 04 Mar 2008 15:56:15 +0200

samizdat (0.6.0.20080225-1) experimental; urgency=low

  * New upstream snapshot 2008-02-25:
    - Storage module can be used stand-alone again
    - minor bugfixes.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 25 Feb 2008 16:58:43 +0200

samizdat (0.6.0.20080224-1) experimental; urgency=low

  * New upstream snapshot 2008-02-24:
    - minor fixes and optimizations
    - database schema changed (index added).

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 24 Feb 2008 12:43:38 +0200

samizdat (0.6.0.20080223-1) experimental; urgency=low

  * New upstream snapshot 2008-02-23:
    - resource rendering improvements
    - bugfixes
    - translations updated: Belarusian, Russian.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 23 Feb 2008 02:16:39 +0200

samizdat (0.6.0.20080214-2) experimental; urgency=low

  * Fixed pagination bug caused by spurious modification of GetText strings.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 14 Feb 2008 21:59:05 +0200

samizdat (0.6.0.20080214-1) experimental; urgency=low

  * New upstream snapshot 2008-02-14:
    - optional sub-patterns in RDF queries
    - DataSet based pagination system
    - minor moderation system bugfixes
    - force lowercase login names.
  * Fixed bashism in samizdat init script (closes: #465353).

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 14 Feb 2008 20:49:24 +0200

samizdat (0.6.0.20080120-1) experimental; urgency=low

  * New upstream snapshot 2008-01-20:
    - notify moderator functionality added
    - upstream bugs fixed: #20678 and more (see upstream changelog)
    - translations updated: Belarusian, Russian.
  * Added alternative recommends on SQLite3 and MySQL DBDs for
    libsamizdat-ruby1.8 (samizdat itself still depends on PostgreSQL).
  * Updated for Standards-Version 3.7.3.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 20 Jan 2008 18:25:14 +0200

samizdat (0.6.0.20071112-1) experimental; urgency=low

  * New upstream snapshot 2007-11-12:
    - show non-inline message file size
    - rate-limit cache.flush
    - inform guest users that they can't edit even open-for-all messages
    - translations updated: Belarusian, Russian.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 12 Nov 2007 00:17:06 +0000

samizdat (0.6.0.20071104-1) experimental; urgency=low

  * New upstream snapshot 2007-11-04 "Bonfire Night":
    - per-resource moderation logs
    - reverted back to not swapping message with its preferred translation in
      full mode
    - upstream bugs fixed: #21286, #20932, #21490, #21242, and more (see
      upstream changelog)
    - translations updated: Spanish, French, Japanese, Polish, Belarusian,
      Russian
  * Added versioned depends on Ruby with sync.rb fix and Ruby-GetText with
    support for ISO-639 language tag extraction.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 04 Nov 2007 23:43:39 +0000

samizdat (0.6.0.20070818-1) experimental; urgency=low

  * New upstream snapshot 2007-08-18:
    - import feeds patch by Boud refactored and integrated
    - Antipam module unbundled from engine into standalone library
    - upstream bugs fixed: #19830, #20303, #20305, #20678, #20491
    - translations updated: Polish, French, Spanish, Belarusian, Russian.
  * Expanded Apache configuration instructions in README.Debian (thanks Boud).

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 18 Aug 2007 17:58:10 +0100

samizdat (0.6.0.20070618-1) experimental; urgency=low

  * New upstream snapshot 2007-06-18:
    - fixed yet another logic fault in message editing
    - translations overhaul: swap completely preferred translation and
      original.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 18 Jun 2007 20:41:40 +0100

samizdat (0.6.0.20070617-1) experimental; urgency=low

  * New upstream snapshot 2007-06-17:
    - fixed several security bugs around message ownership
    - antispam patch by Boud integrated
    - updated translations: French, Polish
    - new translation: Japanese (experimental)

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 17 Jun 2007 19:00:17 +0100

samizdat (0.6.0.20070519-2) experimental; urgency=low

  * Don't cache MessageComponent#info.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 19 May 2007 13:58:18 +0100

samizdat (0.6.0.20070519-1) experimental; urgency=low

  * New upstream snapshot 2007-05-19:
    - monkey fix to sync.rb included in cache.rb
    - mutual recursion between MessageComponent and Focus fixed
    - documentation updates.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 19 May 2007 13:41:48 +0100

samizdat (0.6.0.20070509-1) experimental; urgency=low

  * New upstream snapshot 2007-05-09:
    - Cache rewritten for better deadlock avoidance
    - requires a patch to be applied to sync.rb in libruby1.8
    - README.Debian added.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 09 May 2007 21:34:57 +0100

samizdat (0.6.0.20070506-1) experimental; urgency=low

  * New upstream snapshot 2007-05-06:
    - use cache instead of database for CSRF protection to avoid deadlocks
    - more input validation.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 06 May 2007 13:02:38 +0100

samizdat (0.6.0.20070505-1) experimental; urgency=low

  * New upstream snapshot 2007-05-05:
    - language list restored (thanks Boud)
    - account creation fixed
    - RSS and input validation fixes.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 05 May 2007 14:22:05 +0100

samizdat (0.6.0.20070501-2) experimental; urgency=low

  * Brown paper bag version: missed some essential directories in debian/rules.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 02 May 2007 01:01:16 +0100

samizdat (0.6.0.20070501-1) experimental; urgency=low

  * New upstream snapshot 2007-05-01:
    - refactored into MVC pattern (Apache config change required)
    - passwd renamed to password (database change required)
    - compatible with Ruby 1.8.6
    - CSRF protection added
    - lighttpd support added
    - diff now includes images and file links
    - actions in moderation log translated
    - updated translations: Spanish, Russian, Belarusian

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 01 May 2007 22:19:58 +0100

samizdat (0.6.0.20070218-1) experimental; urgency=low

  * New upstream snapshot 2007-02-18:
    - more hidden messages fixes
    - closed loophole in sanitization of absolute image paths
    - minor ellipsis encoding and Front Page link translation link fixes
    - updated translations: Polish.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 18 Feb 2007 18:17:22 +0000

samizdat (0.6.0.20070202-1) experimental; urgency=low

  * New upstream snapshot 2007-02-02:
    - new translations: Spanish, German
    - updated translations: French, Polish
    - hidden messages are displayed line-through.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 02 Feb 2007 23:16:26 +0000

samizdat (0.6.0.20070120-1) experimental; urgency=low

  * New upstream snapshot 2007-01-20:
    - better error reporting
    - MySQL and SQLite support (still not ready for production)
    - renamed 'displace' to 'replace'
    - fixed redirect on posting to a multi-page thread.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 20 Jan 2007 12:42:15 +0000

samizdat (0.6.0.20061207-1) experimental; urgency=low

  * New upstream snapshot 2006-12-07:
    - Sanitize: allow ':' in URI
    - refactoring: MessageContent
    - usability: sort replies by id
    - privacy: send Apache error.log to /dev/null by default.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 07 Dec 2006 21:48:25 +0000

samizdat (0.6.0-3) unstable; urgency=low

  * First upload to unstable.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 04 Dec 2006 12:59:01 +0000

samizdat (0.6.0-2) experimental; urgency=low

  * Catch up to the final release tarball:
    - SAMIZDAT_VERSION set to 0.6.0
    - copyrights updated.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 29 Nov 2006 17:46:28 +0000

samizdat (0.6.0-1) experimental; urgency=low

  * New upstream release 0.6.0:
    - unit and functional tests fully up to date
    - auto-url in default message format
    - French translation update
    - documentation update.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 29 Nov 2006 17:06:25 +0000

samizdat (0.5.5.20061127-1) experimental; urgency=low

  * New upstream snapshot 2006-11-27:
    - manpages for scripts added.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 27 Nov 2006 08:36:14 +0000

samizdat (0.5.5.20061126-1) experimental; urgency=low

  * New upstream snapshot 2006-11-26:
    - login timeout increased to 4 hours
    - Polish and French translations updated
    - fixed query UI bug with unsubstituted literals.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 26 Nov 2006 15:55:48 +0000

samizdat (0.5.5.20061116-1) experimental; urgency=low

  * New upstream snapshot 2006-11-16:
    - fixed ampersand in URLs
    - Belarusian and Russian translations updated
    - documentation update.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 16 Nov 2006 04:12:28 +0000

samizdat (0.5.5.20061029-1) experimental; urgency=low

  * New upstream snapshot 2006-10-29:
    - HTML diff, view source for Textile and HTML
    - message publishing and deployment cleanup.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 29 Oct 2006 11:07:09 +0000

samizdat (0.5.5.20061024-1) experimental; urgency=low

  * New upstream snapshot 2006-10-24:
    - fix for memory leak in Tidy.path=()
    - GetText and sites.yaml fixes by Boud
    - cache fix for front page image links.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 24 Oct 2006 01:37:34 +0100

samizdat (0.5.5.20060924-1) experimental; urgency=low

  * New upstream snapshot 2006-09-24:
    - database generation script
    - experimental SQLite3 support
    - default login timeouts reduced for tighter security
    - documentation and unit tests updated
    - uploads fixed
    - by Boud: french translation, support old GetText versions < 1.6.0 (sarge
    has 0.8.0).
  * Removed version from libgettext-ruby depends.
  * Debian Policy conformance:
    - upgraded recommends of httpd-cgi to depends
    - moved cgi-bin scripts to /usr/share.
  * Updated description for libsamizdat-ruby.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 24 Sep 2006 14:50:04 +0100

samizdat (0.5.5.20060914-1) experimental; urgency=low

  * New upstream snapshot 2005-09-14:
    - now works with new libgettext-ruby
    - block cross-site images in xhtml.yaml.
  * Samizdat DRB server now enabled by default.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 14 Sep 2006 13:35:16 +0100

samizdat (0.5.5.20060913-1) experimental; urgency=low

  * New upstream snapshot 2005-09-13:
    - new deployment method: configuration moved from environment variables to
    files in /etc/samizdat
    - FastCGI now works with multi-site setups
    - Apache config example provided
    - Esperanto translation updated.
  * Updated Recommends to postgresql-8.1, apache2-mpm-prefork (multi-threaded
    Apache2 MPMs cause trouble with mod_ruby), libapache2-mod-fcgid and
    libfcgi-ruby1.8.
  * Versioned recommends on libgettext-ruby (API changed).
  * Added LSB init info to the init script.
  * Bumped Standards-Version to 3.7.2.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 13 Sep 2006 13:57:07 +0100

samizdat (0.5.5.20060417-1) experimental; urgency=low

  * New upstream snapshot 2005-04-17:
    - fixed cross-site config cache corruption
    - selective cache flush, 'All Replies' link of front page
    - translations updated.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 17 Apr 2006 16:16:05 +0300

samizdat (0.5.5.20060416-1) experimental; urgency=low

  * New upstream snapshot 2005-04-16:
    - fixed RSS/DRbUnknown bug
    - synchronized Cache
    - more security improvements.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 16 Apr 2006 15:05:10 +0300

samizdat (0.5.5.20060409-1) experimental; urgency=low

  * New upstream snapshot 2005-04-09:
    - fixed: previous uriref focus fix broke normal focuses

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun,  9 Apr 2006 22:10:43 +0300

samizdat (0.5.5.20060407-1) experimental; urgency=low

  * New upstream snapshot 2005-04-07:
    - fixed NULL new message language and virtual uriref focus
    - documentation update.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri,  7 Apr 2006 13:15:59 +0300

samizdat (0.5.5.20060228-1) experimental; urgency=low

  * New upstream snapshot 2005-02-28:
    - Belarussian and Russian translations updated.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 28 Feb 2006 17:44:34 +0200

samizdat (0.5.5.20060221-2) experimental; urgency=low

  * Brown paper bug with 'add new focus' menu fixed

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 21 Feb 2006 19:45:48 +0200

samizdat (0.5.5.20060221-1) experimental; urgency=low

  * New upstream snapshot 2005-02-21:
    - new focus management interface
    - massive RDF update
    - better input validation
    - Pingback removed.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 21 Feb 2006 18:59:25 +0200

samizdat (0.5.5.20051219-1) experimental; urgency=low

  * New upstream snapshot 2005-12-19:
    - message publishing UI improvements
    - Message#nrelated bugfix
    - moderation log link on front page
    - documentation and translations update.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 20 Dec 2005 13:17:19 +0200

samizdat (0.5.5.20051202-2) experimental; urgency=low

  * Typo in Polish translation fixed.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 02 Dec 2005 17:33:52 +0200

samizdat (0.5.5.20051202-1) experimental; urgency=low

  * New upstream snapshot 2005-12-02:
    - Polish translation added.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 02 Dec 2005 17:14:14 +0200

samizdat (0.5.5.20051110-1) experimental; urgency=low

  * New upstream snapshot 2005-11-10:
    - RSS feed for RDF query results
    - pagination improvement
    - better fix for Samizdat::Cache
    - xhtml.yaml lookup instead of absolute path in Template
    - updated unit tests
    - updated Belarusian, Russian, Ukrainian translations
    - minor documentation update.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 10 Nov 2005 21:34:44 +0200

samizdat (0.5.5.20051027-1) experimental; urgency=low

  * New upstream snapshot 2005-10-27:
    - hidden messages support
    - bugfixes in RDF, RedCloth, Samizdat::Cache
    - major documentation update
    - minor fixes.
  * Make use of LSB init-functions in samizdat.init when lsb-base is available.
  * Don't install the unfinished samizdat-site and samizdat-webrick-server.
  * Updated debian/watch file.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 27 Oct 2005 21:58:56 +0300

samizdat (0.5.5-1) experimental; urgency=low

  * Initial release. Closes: #311271 (ITP).

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 20 Aug 2005 15:01:05 +0300
